> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/nemo-platform/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/nemo-platform/_mcp/server.

# Download File Content

GET https://host.com/apis/files/v2/workspaces/{workspace}/filesets/{name}/-/{path}

Download file content from a fileset.

Supports HTTP Range requests for partial content retrieval (status 206).
Returns the full file content (status 200) if no Range header is provided.
For external resources (HuggingFace, NGC), content is cached locally on first access.

Reference: https://docs.nvidia.com/nemo-platform/nemo-platform/documentation/reference/api-reference/files/download-file-apis-files-v-2-workspaces-workspace-filesets-name-path-get

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Nemo Platform API
  version: 1.0.0
paths:
  /apis/files/v2/workspaces/{workspace}/filesets/{name}/-/{path}:
    get:
      operationId: download-file-apis-files-v-2-workspaces-workspace-filesets-name-path-get
      summary: Download File Content
      description: >-
        Download file content from a fileset.


        Supports HTTP Range requests for partial content retrieval (status 206).

        Returns the full file content (status 200) if no Range header is
        provided.

        For external resources (HuggingFace, NGC), content is cached locally on
        first access.
      tags:
        - subpackage_files
      parameters:
        - name: workspace
          in: path
          required: true
          schema:
            type: string
        - name: name
          in: path
          required: true
          schema:
            type: string
        - name: path
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/octet-stream:
              schema:
                type: string
                format: binary
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
servers:
  - url: https://host.com
    description: Default
components:
  schemas:
    ValidationErrorLocItems:
      oneOf:
        - type: string
        - type: integer
      title: ValidationErrorLocItems
    ValidationError:
      type: object
      properties:
        loc:
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorLocItems'
        msg:
          type: string
        type:
          type: string
        input:
          description: Any type
        ctx:
          type: object
          additionalProperties:
            description: Any type
      required:
        - loc
        - msg
        - type
      title: ValidationError
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
      title: HTTPValidationError

```

## Examples



**SDK Code**

```python
import requests

url = "https://host.com/apis/files/v2/workspaces/workspace/filesets/name/-/path"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://host.com/apis/files/v2/workspaces/workspace/filesets/name/-/path';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://host.com/apis/files/v2/workspaces/workspace/filesets/name/-/path"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://host.com/apis/files/v2/workspaces/workspace/filesets/name/-/path")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://host.com/apis/files/v2/workspaces/workspace/filesets/name/-/path")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://host.com/apis/files/v2/workspaces/workspace/filesets/name/-/path');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://host.com/apis/files/v2/workspaces/workspace/filesets/name/-/path");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://host.com/apis/files/v2/workspaces/workspace/filesets/name/-/path")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```